Bug 69554

Summary: WKTR needs to implement layoutTestController.setPageVisibility()
Product: WebKit Reporter: Simon Fraser (smfr) <simon.fraser>
Component: Tools / TestsAssignee: Jesus Sanchez-Palencia <jesus>
Status: RESOLVED FIXED    
Severity: Normal CC: gns, gustavo.noronha, jesus, pnormand, webkit.review.bot, xan.lopez, zarvai
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 81154, 83263, 86731    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch none

Description Simon Fraser (smfr) 2011-10-06 13:29:13 PDT
WebKitTestRunner needs to implement layoutTestController.setPageVisibility()
Comment 1 Jesus Sanchez-Palencia 2012-03-14 15:27:14 PDT
Created attachment 131936 [details]
Patch
Comment 2 Jesus Sanchez-Palencia 2012-03-22 15:43:41 PDT
Created attachment 133371 [details]
Patch
Comment 3 Build Bot 2012-03-22 16:08:42 PDT
Comment on attachment 133371 [details]
Patch

Attachment 133371 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12122232
Comment 4 Early Warning System Bot 2012-03-22 17:09:37 PDT
Comment on attachment 133371 [details]
Patch

Attachment 133371 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12116369
Comment 5 Philippe Normand 2012-03-22 17:48:39 PDT
Comment on attachment 133371 [details]
Patch

Attachment 133371 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12123321
Comment 6 Collabora GTK+ EWS bot 2012-03-22 18:48:22 PDT
Comment on attachment 133371 [details]
Patch

Attachment 133371 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12122292
Comment 7 Jesus Sanchez-Palencia 2012-04-04 08:38:09 PDT
Created attachment 135599 [details]
Patch
Comment 8 Build Bot 2012-04-04 08:54:24 PDT
Comment on attachment 135599 [details]
Patch

Attachment 135599 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12327003
Comment 9 Gustavo Noronha (kov) 2012-04-04 09:35:29 PDT
Comment on attachment 135599 [details]
Patch

Attachment 135599 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12327029
Comment 10 Jesus Sanchez-Palencia 2012-04-04 11:53:45 PDT
Created attachment 135643 [details]
Patch
Comment 11 WebKit Review Bot 2012-04-04 13:51:27 PDT
Comment on attachment 135643 [details]
Patch

Clearing flags on attachment: 135643

Committed r113235: <http://trac.webkit.org/changeset/113235>
Comment 12 WebKit Review Bot 2012-04-04 13:51:32 PDT
All reviewed patches have been landed.  Closing bug.
Comment 13 Zoltan Arvai 2012-04-05 03:16:01 PDT
It seems this patch broke some test with Qt WK2 bots:
fast/events/page-visibility-transition-test.html
fast/events/page-visibility-iframe-propagation-test.html

http://build.webkit.sed.hu/results/x86-64%20Linux%20Qt%20Release%20WebKit2%20%28Amazon%20EC2%29/r113305%20%28798%29/results.html
Comment 14 Jesus Sanchez-Palencia 2012-04-10 15:32:58 PDT
(In reply to comment #13)
> It seems this patch broke some test with Qt WK2 bots:
> fast/events/page-visibility-transition-test.html
> fast/events/page-visibility-iframe-propagation-test.html
> 
> http://build.webkit.sed.hu/results/x86-64%20Linux%20Qt%20Release%20WebKit2%20%28Amazon%20EC2%29/r113305%20%28798%29/results.html

I will have a look, thanks. At a first glance, I don't get how the other Page Visibility layout tests can be working and these ones not if they all make use of the same layouttestcontroller functions...